Skip to main content

Get trade history

GET 

/rfq/trades

Returns the specified number of past RFQ trades for your account and a time period of up to 24 hours.

The returned trades are sorted by their timestamp in a descending order, from the latest to the earliest.

info

This is a private endpoint. To send requests, you need to authenticate. Your API key must have the View access permission.

tip

To get specific trades, use the start, end, and tradeId parameters.

Rate limit weight points: 5

Request

Query Parameters

    limit integer

    Possible values: >= 1 and <= 1000

    The maximum number of trades to return, from latest to earliest.

    Default value: 500
    start unix-timestamp in milliseconds

    Possible values: >= 0

    The Unix timestamp starting from which to return trades. If used, you must also specify the end parameter.

    Can only return trades for a period of up to 24 hours.

    Example: 1700000000000
    end unix-timestamp in milliseconds

    Possible values: >= 0

    The Unix timestamp up to which to return trades. If used, you must also specify the start parameter.

    Cannot be more than 24 hours after the start parameter. Can only return trades for a period of up to 24 hours.

    Example: 1700003600000
    tradeId string

    Returns the specified trade.

    If provided, takes precedence over other parameters.

    base string

    Returns trades for the specified base asset.

    Example: BTC
    quote string

    Returns trades for the specified quote asset.

    Example: EUR

Responses

The request was successful.

Schema
  • Array [
  • tradeIdinteger<int64>

    The unique identifier of the trade.

    accountIdstring

    The unique identifier of your account.

    rfqIdstring

    The unique identifier of the RFQ session.

    Example: rfq_uuid
    quoteIdstring

    The unique identifier of your quote.

    Example: mmq_8891a1b4
    timestampinteger<unix-timestamp in milliseconds>

    The Unix timestamp in milliseconds when the trade was executed.

    Example: 1700000000000
    amountstring

    The amount of the base currency.

    Example: 0.1
    rfqTypestring

    The type of RFQ trade.

    Example: StablecoinParity
    basestring

    The base asset of the trade.

    Example: EUR
    quotestring

    The quote asset of the trade.

    Example: EURC
    pricestring

    The price of 1 unit of base currency in the amount of quote currency at the time of the trade.

    Example: 34243
    sidestring

    Indicates whether the taker is buying or selling.

    Possible values: [buy, sell]

    takerboolean

    Indicates whether you are the taker for the trade.

    feestring

    The fee for this trade.

    Example: 0.02
    feeAssetstring

    The currency in which the fee was charged.

    Example: EUR
    quoteAmountstring

    The gross amount of the settled quote asset after it was rounded, before fees.

    Example: 100.00000000
    operatorIdinteger<int64>

    Your identifier for the trader or the bot within your account that made the request.

    Example: 543462
    counterpartyIdstring

    The identifier for the trader that accepted the RFQ trade.

    Example: 58d5e212-165d-4cr0-909b-c86b9cee0111
  • ]